"Failed to read required file" patching 1.5.2

Mac Technical Support
I am having the same issue. I have tried deleting all of the directories and I am still getting the following error:

ERROR: The file "/Applications/StarCraft II/Updates/s2-0-22875-OSX-final.MPQ" appears to be corrupt. You may need to download this file again.

Any help is greatly appreciated.
Got it fixed by rebooting my machine.
Found a solution that worked for me. Details here:
http://us.battle.net/sc2/en/forum/topic/6607191971?page=1#12

Join the Conversation

Return to Forum